## org.openorb.compiler.object
Class IdlFactory

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlFactory

All Implemented Interfaces:
  idlFactory, idlObject, java.io.Serializable

public class IdlFactory
extends IdlObject
implements idlFactory

Cette classe represente l'objet IDL Value Box

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlFactory(IdlObject father)` Cree un objet IDL Attribute

Method Summary
`boolean` `abstract_value()` Retourne le flag qui indique si une valeur est abstraite
`void` `abstract_value(boolean value)` Fixe le fait que cette valeur est abstraite
`java.util.Enumeration` `content()` Return this idlObject content
`idlParameter[]` `parameters()` Return the parameters list

Methods inherited from class org.openorb.compiler.object.IdlObject

`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlFactory

    public IdlFactory(IdlObject father)

  Cree un objet IDL Attribute

Method Detail

### abstract_value

    public void abstract_value(boolean value)

  Fixe le fait que cette valeur est abstraite

### abstract_value

    public boolean abstract_value()

  Retourne le flag qui indique si une valeur est abstraite

### parameters

    public idlParameter[] parameters()

  Description copied from interface: `idlFactory`
  Return the parameters list
  Specified by:
    `parameters` in interface `idlFactory`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`